Bug 1783355 - Libvirt uses deprecated numa command line
Summary: Libvirt uses deprecated numa command line
Keywords:
Status: ASSIGNED
Alias: None
Product: Red Hat Enterprise Linux Advanced Virtualization
Classification: Red Hat
Component: libvirt
Version: 8.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 8.0
Assignee: Michal Privoznik
QA Contact: jiyan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-12-13 15:54 UTC by Peter Krempa
Modified: 2020-03-26 15:44 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)

Description Peter Krempa 2019-12-13 15:54:35 UTC
Description of problem:
libvirt's NUMA configuration may result in a command line which qemu considers deprecated:

  <cpu>
    <topology sockets='2' cores='4' threads='2'/>
    <numa>
      <cell cpus='0-7' memory='109550' unit='KiB'/>
      <cell cpus='8-15' memory='109550' unit='KiB'/>
    </numa>
  </cpu>

-numa node,nodeid=0,cpus=0-7,mem=107 \
-numa node,nodeid=1,cpus=8-15,mem=107 \

qemu then reports:
2019-12-10T09:47:19.571513Z qemu-kvm: -numa node,nodeid=0,cpus=0-7,mem=107: warning: Parameter -numa node,mem is deprecated,     use -numa node,memdev instead

Version-Release number of selected component (if applicable):
libvirt version: 5.6.0, package: 6.module+el8.1.0+4244+9aa4e6bb
qemu version: 4.1.0qemu-kvm-4.1.0-14.module+el8.1.0+4548+ed1300f4

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Michal Privoznik 2020-01-16 13:04:58 UTC
Design discussion started here:

https://www.redhat.com/archives/libvir-list/2020-January/msg00709.html

Comment 2 Igor Mammedov 2020-03-26 11:40:00 UTC
(In reply to Michal Privoznik from comment #1)
> Design discussion started here:
> 
> https://www.redhat.com/archives/libvir-list/2020-January/msg00709.html

Was it fixed upstream already?

Comment 3 Michal Privoznik 2020-03-26 15:44:54 UTC
Unfortunately, no.


Note You need to log in before you can comment on or make changes to this bug.